Subject: Re: ls / rm etc return "no such file or directory"
From: Tom Hall <[email-masked]>
To: TomL <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Apr 2008 11:31:34 -0600
List-Id: <cygwin.cygwin.com>

On Thu, Aug 09, 2007 at 01:50:59PM -0700, TomL wrote:
> 
> Based on the idea that its a file locking problem, I ran "handle" from
> sysinternals, and it showed up as an open filehandle in an explorer.exe
> process.  I terminated the process, and all is well.
> 
> I don't understand how it got into that state yet, but I'm closer.  Thanks
> for the hints.

You're a lifesaver !

I get these a lot - sometimes several times a day with vim swap files.

It happens when I run vim over an SSH or telnet session and the session
crashes. After that vim gives me its warning whenever I try to edit that
file until I delete swap file, which I can't.

The only advice I could find was to reboot (which is pretty good advice for
running Windows) which gets annoying on bad network days.

Now I can run 'handle', then 'ps', cross ref the PID from cygwin to windows,
and kill vim - much preferable to a reboot.

Thanks.
Tom 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/